GMTTRACK(GMTMANSECTION)

NAME
gmttrack - A shiptrack plotting program

SYNOPSIS
gmttrack leg-ids -Rwest/east/south/north[r] -Jparameters [ -B[p|s]parameters ] [ -Mtrackticks ] [ -Wpen[red/green/blue][OA] ] [ -A[size] ] [ -K ] [ -O ] [ -P ] [ -U[/dx/dy/][label] ] [ -V ] [ -X[a|c|r][x-shift[u]] ] [ -X[a|c|r][y-shift[u]] ] [ -ccopies ]

DESCRIPTION
gmttrack reads gmt cruises and creates PostScript code that will plot one or more ship tracks on a map using the specified projection. The PostScript code is written to standard output.

leg-ids
    Can be one or more gmtleg-names, like c2104 v3206 etc.

-J  Selects the map projection. Scale is UNIT/degree, 1:xxxxx, or width in UNIT (upper case modifier). UNIT is cm, inch, or m, depending on the MEASURE_UNIT setting in .gmtdefaults4, but this can be overridden on the command line by appending c, i, or m to the scale/width value. For map height, max dimension, or min dimension, append h, +, or - to the width, respectively.
    More details can be found in the psbasemap man pages.

    CYLINDRICAL PROJECTIONS:

    -Jclon0/lat0/scale (Cassini)
    -Jjlon0/scale (Miller)
    -Jmscale (Mercator - Greenwich and Equator as origin)
    -Jmlon0/lat0/scale (Mercator - Give meridian and standard parallel)
    -Joalon0/lat0/azimuth/scale (Oblique Mercator - point and azimuth)
    -Joblon0/lat0/lon1/lat1/scale (Oblique Mercator - two points)
    -Joclon0/lat0/lonp/latp/scale (Oblique Mercator - point and pole)
    -Jqlon0/scale (Equidistant Cylindrical Projection (Plate Carree))
    -Jtlon0/scale (TM - Transverse Mercator, with Equator as y = 0)
    -Jtlon0/lat0/scale (TM - Transverse Mercator, set origin)
    -Juzone/scale (UTM - Universal Transverse Mercator)
    -Jylon0/lats/scale (Basic Cylindrical Projection)

    AZIMUTHAL PROJECTIONS:

    -Jalon0/lat0/scale (Lambert)
    -Jelon0/lat0/scale (Equidistant)
    -Jflon0/lat0/horizon/scale (Gnomonic)
    -Jglon0/lat0/scale (Orthographic)
    -Jslon0/lat0/[slat/]scale (General Stereographic)

    CONIC PROJECTIONS:

    -Jblon0/lat0/lat1/lat2/scale (Albers)
    -Jdlon0/lat0/lat1/lat2/scale (Equidistant)
    -Jllon0/lat0/lat1/lat2/scale (Lambert)

    MISCELLANEOUS PROJECTIONS:

    -Jhlon0/scale (Hammer)
    -Jilon0/scale (Sinusoidal)
    -Jk[f|s]lon0/scale (Eckert IV (f) and VI (s))
    -Jnlon0/scale (Robinson)
    -Jrlon0/scale (Winkel Tripel)
    -Jvlon0/scale (Van der Grinten)
    -Jwlon0/scale (Mollweide)

    NON-GEOGRAPHICAL PROJECTIONS:

    -Jp[a]scale[/origin][r|z] (Polar coordinates (theta,r))
    -Jxx-scale[d|l|ppow|t|T][/y-scale[d|l|ppow|t|T]] (Linear, log, and power scaling)

-R  west, east, south, and north specify the Region of interest, and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of wesn. The two shorthands -Rg -Rd stand for global domain (0/360 or -180/+180 in longitude respectively, with -90/+90 in latitude).

OPTIONS
No space between the option flag and the associated arguments.

-B  Sets map boundary annotation and tickmark intervals; see the psbasemap man page for all the details.

-A  Annotate each leg every time it enters the plot. Optional size is character size in points.

-Da Do not plot data collected before startdate (mm/dd/yyyy/hh:mm) [Default is first day].

-Db Do not plot data collected after stopdate (mm/dd/yyyy/hh:mm). [Default is last day].

-K  More PostScript code will be appended later [Default terminates the plot system].

-M  To put time/distance Marks on the track. E.g. a500ka24ht6h means (a)nnotate every 500 km (k) and 24 h(ours), with (t)ickmarks every 500 km and 6 hours.

-O  Selects Overlay plot mode [Default initializes a new plot system].

-P  Selects Portrait plotting mode [GMT Default is Landscape, see gmtdefaults to change this].

-Sa Do not plot data that are less than startdist km along track from port of departure. [Default is 0].

-Sb Do not plot data that are more than stopdist km along track from port of departure. [Default is length of track].

-U  Draw Unix System time stamp on plot. User may specify where the lower left corner of the stamp should fall on the page relative to lower left corner of plot. Optionally, append a label, or c (which will plot the command string.). The GMT parameters UNIX_TIME and UNIX_TIME_POS can affect the appearance; see the gmtdefaults man page for details.

-W  pen is thickness of the trackline. [Default is 1]. Optionally, specify the rgb combination to obtain a colored trackline [Default is black]. Append o for dotted line, a for dashed. [Default is solid].

-X -Y
    Shift origin of plot by (x-shift,y-shift), and opetionally append units (c, i, m, p). Prepend a for absolute coordinates; the default (r) will reset plot origin. Give c to center plot using current page size.

-V  Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

-c  Specifies the number of plot copies. [Default is 1].

EXAMPLES
To generate a Mercator plot of the track of cruises C2610 and V1512 in the area 150E to 154E, 18N to 23N, using a Mercator scale of 1.5inch/degree, label the tracks with 10 points characters, annotate the boundaries every degree, and draw gridlines every 30 minutes, and send the plot to the default printer, enter the following command:

gmttrack c2610 v1512 -R150/154/18/23 -Jm1.5 -B1g30m -A10 | lpr

SEE ALSO
GMT(GMTMANSECTION), psbasemap(GMTMANSECTION)

REFERENCES
Wessel, P., and W. H. F. Smith, 2005, The Generic Mapping Tools (GMT) version 4.1 Technical Reference & Cookbook, SOEST/NOAA.
Wessel, P., and W. H. F. Smith, 1998, New, Improved Version of Generic Mapping Tools Released, EOS Trans., AGU, 79 (47), p. 579.
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, EOS Trans., AGU, 76 (33), p. 329.
Wessel, P., and W. H. F. Smith, 1995, New Version of the Generic Mapping Tools Released, http://www.agu.org/eos_elec/95154e.html, Copyright 1995 by the American Geophysical Union.
Wessel, P., and W. H. F. Smith, 1991, Free Software Helps Map and Display Data, EOS Trans., AGU, 72 (41), p. 441.